package com.hypers.hypers_flutter_plugin_example

import com.hmt.analytics.HMTAgent
import io.flutter.app.FlutterApplication

class App : FlutterApplication() {

    override fun onCreate() {
        super.onCreate()
        initHMT()
    }

    private fun initHMT() {
        System.out.println("Init Hypers mobile track!!!!");

        HMTAgent.enableDebug(true)
        //设置服务器地址
        HMTAgent.setOnlineConfigUrl("https://t.hypers.com.cn")
        //设置配置文件地址
        HMTAgent.setBaseURL("https://t.hypers.com.cn")
        HMTAgent.onError(this) //监控页面错误信息
        HMTAgent.Initialize(this,1)
    }
}